GlideURI - Global

  • 릴리스 버전: Australia
  • 업데이트 날짜 2026년 03월 12일
  • 소요 시간: 9분
  • The GlideURI API provides methods to handle URI parameters in a global application.

    주:
    Do not use the GlideURI API in scripts that are executed during export or in background jobs.
    For more information on using URIs:

    See also Action - getGlideURI().

    GlideURI - deleteMatchingParameter(String match)

    Deletes one or more parameters from the URI that match the beginning of the provided string.

    표 1. Parameters
    Name Type Description
    match String Partial name of one or more parameters to remove from the query portion of a URI.
    표 2. Returns
    Type Description
    None

    The following example shows how to delete URI parameters that partially match the name provided.

    // create the GlideURI object
    var uri = action.getGlideURI();
    
    uri.deleteMatchingParameter('sysparm_list_');
    uri.deleteMatchingParameter('sysparm_record_');

    Scoped equivalent

    This method is not available in scoped applications.

    GlideURI - deleteParameter(String name)

    Removes a specified parameter from the query portion of the URI.

    표 3. Parameters
    Name Type Description
    name String Name of the parameter to remove from the query portion of a URI.
    표 4. Returns
    Type Description
    None

    The following example shows how to delete a URI parameter.

    // create the GlideURI object
    var uri = action.getGlideURI(); 
    
    uri.deleteParameter('sysparm_referring_url');

    Scoped equivalent

    This method is not available in scoped applications.

    GlideURI - get(String name)

    Returns the value of the specified parameter.

    표 5. Parameters
    Name Type Description
    name String The parameter name.
    표 6. Returns
    Type Description
    String The value for the specified parameter.
    // create the GlideURI object
    var uri = action.getGlideURI();
    uri.set('sysparm_query', 'priority=2^active=true' );
    var fileString = uri.get('sysparm_query');
    gs.info(fileString);

    Output:

    priority=2^active=true

    Scoped equivalent

    To use the get() method in a scoped application, use the corresponding scoped method: GlideURI - get(String name) .

    GlideURI - getFileFromPath()

    Returns the file name portion of the URI.

    표 7. Parameters
    Name Type Description
    None
    표 8. Returns
    Type Description
    String The file name portion of the URI.
    var gURI = action.getGlideURI();
            
    var fileString = gURI.getFileFromPath();
    gs.info(fileString);

    Scoped equivalent

    To use the getFileFromPath() method in a scoped application, use the corresponding scoped method: GlideURI - getFileFromPath() .

    GlideURI - getMap()

    Returns a map (key value pairs) containing each parameter in the query and its associated value.

    표 9. Parameters
    Name Type Description
    None
    표 10. Returns
    Type Description
    Object

    The following example shows how to get sysparm_query parameters. See also Action - getGlideURI() .

    gs.action.getGlideURI().getMap().get('sysparm_query');

    Scoped equivalent

    This method is not available in scoped applications.

    GlideURI - set(String name, String value)

    Sets the specified parameter to the specified value.

    표 11. Parameters
    Name Type Description
    name String The parameter name.
    value String The value.
    표 12. Returns
    Type Description
    None

    The following example shows how to set value of a sysparm_query field. See also Action - getGlideURI() .

    var gURI = action.getGlideURI();
    gURI.set('sysparm_query', 'priority=2^active=true' );
    var fileString = gURI.get('sysparm_query');
    gs.info(fileString);

    Output:

    priority=2^active=true

    Scoped equivalent

    To use the set() method in a scoped application, use the corresponding scoped method: GlideURI - set(String name, String value) .

    GlideURI - setView(String view)

    Adds the sysparm_view parameter to the query with the named view.

    A view defines the elements that appear when a user opens a form or a list. The sysparm_view parameter specifies the view to be used for a list or a form. For more information on views, see View management.

    표 13. Parameters
    Name Type Description
    view String Name of the sysparm_view parameter to set in the URI query.
    표 14. Returns
    Type Description
    None

    The following example shows how to add the major incidents view to the URI query in the Incidents [incident] table. For example, sysparm_view=Major%20Incidents. See also Action - getGlideURI() .

    // create the GlideURI object
    var uri = action.getGlideURI(); 
    
    // Adds the Major incidents to the query
    uri.setView('Major Incidents');
    
    // https://instance.service-now.com/incident.do?sys_id=0&sysparm_view=Major%20Incidents ...

    Scoped equivalent

    This method is not available in scoped applications.

    GlideURI - toString(String path)

    Reconstructs the URI string and performs the proper URL encoding by converting non-valid characters to their URL code. For example, converting & to '%26'.

    Parameters set with the set() method are encoded with the URI as well.

    표 15. Parameters
    Name Type Description
    path String The base portion of the system URL to which the URI is appended.
    표 16. Returns
    Type Description
    String The URL.

    The following examples shows how to convert invalid characters to URL code in an instance URL. See also Action - getGlideURI() .

    var gURI = action.getGlideURI();
    fileString = gURI.toString('https://<your instance>.service-now.com/navpage.do');

    Scoped equivalent

    To use the toString() method in a scoped application, use the corresponding scoped method: GlideURI - toString(String path) .